/* HPscan.cmd */
/* Create Desktop object for HPscan.exe */

call rxFuncAdd "SysLoadFuncs" , "RexxUtil" , "SysLoadFuncs"
call SysLoadFuncs

curDir1 = directory( fileSpec( "drive", HPSCAN.EXE ) )

/* Set program object details */
  PRGOPTION="EXENAME="||curDir1||"\HPSCAN.EXE;OBJECTID=<HPscan_EXE>"

/* Set Help object details */
  HLPOPTION="EXENAME=VIEW.EXE;PARAMETERS="||curDir1||"\HPSCAN.HLP;OBJECTID=<HPSCAN_HLP>"

/* Set Readme object details */
  RDMOPTION="EXENAME=E.EXE;PARAMETERS="||curDir1||"\HPSCAN.TXT;OBJECTID=<HPSCAN_Readme>"

/* Create Desktop Folder */
/* rc=SysCreateObject("WPFolder","HPscan for OS/2","<WP_DESKTOP>","OBJECTID=<HPscan_Folder>","REPLACE") */
rc=SysCreateObject("WPFolder","HPscan for OS/2","<WP_DESKTOP>","OBJECTID=<HPscan_Folder>")

/* Create Program object */
rc=SysCreateObject("WPProgram","HPscan","<HPscan_Folder>",PRGOPTION,"REPLACE")

/* Create Help object  - help file as parameter to view.exe */
rc=SysCreateObject("WPProgram","Help","<HPscan_Folder>",HLPOPTION,"REPLACE")

/* Create Readme object  - readme file as parameter to e.exe */
rc=SysCreateObject("WPProgram","Readme","<HPscan_Folder>",RDMOPTION,"REPLACE")

Exit 0